> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Map

> Returns a map image of a vehicle's location.



## OpenAPI

````yaml get /{vin}/map
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/map:
    parameters:
      - $ref: '#/components/parameters/vin'
    get:
      tags:
        - Vehicle Data
      summary: Get Map
      description: Returns a map image of a vehicle's location.
      operationId: get-map
      parameters:
        - schema:
            type: integer
            default: 300
          in: query
          name: width
          description: The map's width.
        - schema:
            type: integer
            default: 300
          in: query
          name: height
          description: The map's height.
        - schema:
            type: integer
            default: 13
          in: query
          name: zoom
          description: The map's zoom level.
        - schema:
            type: integer
            default: 75
          in: query
          name: marker_size
          description: The size of the vehicle marker. Set to 0 to hide the marker.
        - schema:
            type: string
            enum:
              - light
              - dark
            default: light
          in: query
          name: style
          description: The map's style.
      responses:
        '200':
          content:
            image/png:
              schema:
                type: object
                properties: {}
          description: Success
          headers:
            Content-Type:
              schema:
                type: string
              description: image/png
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````